Subject: bug#33441: reading and printing Lisp Objects - what changed from 25.3.1 to 26.1?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Nov 2018 05:46:40 +0200

> From: Peter Milliken <[email-masked]>
> Date: Wed, 21 Nov 2018 12:52:57 +1100
> Cc: [email-masked], [email-masked]
> 
> I think perhaps you might want to put more information/warnings in section 19 of the Elisp manual because it
> is obviously not true anymore that you can simply Print/Read any arbitrary Lisp Object.
> 
> I'm going to trap the error in my extension and just force reading/"compiling" from the original text file instead
> of reading from the intermediate file created by the print process. This will just cause a small delay to the user
> the first time that a set of language templates get loaded in an edit session - probably not a big deal. Certainly,
> it is better than telling people my extension is "broken" and won't work with 26.1 and onwards.

I'd urge you not to give up on Emacs maintenance so quickly, and
provide the reproducer requested by Paul.  Please give us a chance to
analyze the problem you are having and consider whether and how it
could or should be fixed.  Leaving the problems unfixed because we
failed to look into them is not a good paradigm in maintaining such a
flexible and powerful software package as Emacs is.

Thanks in advance.